package com.huiju.estateagents.eContract.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.bo.request.ContractRecordRequestBO;
import com.huiju.estateagents.eContract.entity.TaContract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 合同列表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Mapper
public interface TaContractMapper extends BaseMapper<TaContract> {

    IPage<TaContract> listContractForChannel(IPage<TaContract> pg,
                                             @Param("bo") ContractRecordRequestBO bo);
}
