package com.huiju.estateagents.eContract.service;

import com.huiju.estateagents.eContract.entity.TaCompany;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.poi.ss.formula.functions.T;

/**
 * <p>
 * 企业认证表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
public interface ITaCompanyService extends IService<TaCompany> {

    /**
     * 在法大大创建一个新的企业信息
     * @return
     */
    TaCompany newFirstCompanyInfo() throws Exception;

    /**
     * 向法大大申请企业认证
     * @param taCompany
     * @return
     */
    TaCompany updateCompanyInfo(TaCompany taCompany) throws Exception;
}
